KVpnc – vpn clients frontend
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
François Andriot 34a322f32e
automake: Install the application icon in applications instead of applnk.
7 hours ago
admin @ 68f23556e6 Reset submodule main/applications/kvpnc/admin to latest HEAD 9 months ago
cmake @ 5121b9a41d Reset submodule main/applications/kvpnc/cmake to latest HEAD 5 months ago
doc conversion to the cmake building system 1 year ago
po Translated using Weblate (German) 2 days ago
src automake: Install the application icon in applications instead of applnk. 7 hours ago
templates Initial import of year-and-a-half-old upstream version 0.9.6a 8 years ago
.gitmodules Added common directories 8 years ago
AUTHORS Initial import of year-and-a-half-old upstream version 0.9.6a 8 years ago
CMakeL10n.txt Add CMakeL10n rules. 11 months ago
CMakeLists.txt Use common CMake tests. 9 months ago
COPYING Initial import of year-and-a-half-old upstream version 0.9.6a 8 years ago
ChangeLog Fix unintended renames. 5 years ago
ConfigureChecks.cmake Use common CMake tests. 9 months ago
Doxyfile Additional k => tde renaming and fixes 6 years ago
INSTALL Initial import of year-and-a-half-old upstream version 0.9.6a 8 years ago
INSTALL.debian Branding cleanup: KDE menu -> TDE menu. 7 years ago
INSTALL.gentoo Branding cleanup: KDE menu -> TDE menu. 7 years ago
Makefile.am Initial import of year-and-a-half-old upstream version 0.9.6a 8 years ago
Makefile.cvs Initial import of year-and-a-half-old upstream version 0.9.6a 8 years ago
NEWS Initial import of year-and-a-half-old upstream version 0.9.6a 8 years ago
README Initial import of year-and-a-half-old upstream version 0.9.6a 8 years ago
TODO Rename a number of libraries and executables to avoid conflicts with KDE4 6 years ago
acinclude.m4 Replaced _BSD_SOURCE, _SVID_SOURCE with _DEFAULT_SOURCE. Removed AC_CHECK_GNU_EXTENSIONS. 1 year ago
aclocal.m4 Initial import of year-and-a-half-old upstream version 0.9.6a 8 years ago
config.h.cmake conversion to the cmake building system 1 year ago
config.h.in Initial import of year-and-a-half-old upstream version 0.9.6a 8 years ago
config.sub Initial import of year-and-a-half-old upstream version 0.9.6a 8 years ago
configure.files Initial import of year-and-a-half-old upstream version 0.9.6a 8 years ago
configure.in KDE_USE_QT* -> KDE_USE_TQT* conversion 1 year ago
configure.in.in Add automake support for --enable-gcc-hidden-visibility. 7 years ago
kvpnc.kdevses.save Rename ksocket and kcache 7 years ago
kvpnc.tdevelop qt -> tqt conversion: 1 year ago
libgcrypt.m4 Initial import of year-and-a-half-old upstream version 0.9.6a 8 years ago
loginfo Initial import of year-and-a-half-old upstream version 0.9.6a 8 years ago
stamp-h.in Initial import of year-and-a-half-old upstream version 0.9.6a 8 years ago
subdirs Initial import of year-and-a-half-old upstream version 0.9.6a 8 years ago

README

KVpnc - KDE frontend for various vpn clients

Features:
---------
- easy to use KDE gui
- docking in kicker
- localized GUI (Bulgarian, Chinese, Dutch, French, German, Hungarian, Italian, Slovak, Polish, Portuguese Brazilian, Russian, Spanish)
- VPN connection to Cisco concentrator
- VPN connection to VPN servers by using IPsec
- FreeS/WAN (Linux 2.4.x) support
- racoon (Linux 2.6.x/BSD) support
- PPTP support (pptpclient)
- OpenVPN support
- Multiple profiles
- preshared secret support
- X509 certificate support
- Cisco PCF file import
- PKCS12 certificate import
- Ping test
- automaticlly setting of routes and firewall rules (iptables) (currently: freeswan/racoon)
- automaticlly network device detection (can be overridden)
- log file writing
- DCOP interface
- user notification for sucessful connect/disconnect
- NAT-T support (racoon/OpenVPN/vpnc)


Requirements:
-------------
- KDE >= 3.2.x (required)
- vpnc >= 0.2-rm+zomb-pre9 Cisco VPN (optional)
- IPsec (Openswan, strongSwan) >= 2.x IPSec VPN Linux 2.4/2.6 (optional)
- racoon (ipsec-tools) > = 1.x IPSec VPN Linux 2.6 (optional)
- pptpclient PPTP VPN (optional)
- OpenVPN VPN based on SSL (optional)
- l2tpd, xl2tpd, openl2tp (optional)
- vtun (optional)
- OpenSSH >= 4.3 (optional)
- libgcrypt version >= 1.1.90
- opensc
- ksshaskpass (optional)

Installation:
-------------
tar xvfz kvpnc-<version>.tar.gz
cd kvpnc-<version>
make -f admin/Makefile.common
./configure
make
su
make install

Documentation:
--------------

Please look in doc folder. Most interesting are the README* files.

(c) 12/17/2008 Christoph Thielecke <crissi99@gmx.de>